## wmbattery 1.11

=== Makefile ===
ICONDIR = /usr/X11R6/share/wmbattery
BINDIR  = /usr/X11R6/bin
MANDIR  = /usr/X11R6/man/man1
INCDIR  = -I/usr/X11R6/include
LIBDIR  = -L/usr/X11R6/lib
LIBS    = -lXpm -lXext
CFLAGS  = $(INCDIR) -g -DICONDIR=\"$(ICONDIR)\" -O2 -Wall

wmbattery: wmbattery.c wmbattery.h
	$(CC) $(CFLAGS) $(LIBDIR) $(LIBS) wmbattery.c -o wmbattery

clean:
	rm -f wmbattery

install: wmbattery
	install -c -d $(PREFIX)$(ICONDIR) $(PREFIX)$(BINDIR) $(PREFIX)$(MANDIR)
	install -c -s wmbattery $(PREFIX)$(BINDIR)
	install -c -m 644 wmbattery.1x $(PREFIX)$(MANDIR)/wmbattery.1
	install -c -m 644 *.xpm $(PREFIX)$(ICONDIR)

test: wmbattery
	./wmbattery

=== debian/changelog ===
wmbattery (1.11) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 16:56:32 -0800

wmbattery (1.10) unstable; urgency=low

  * Removed install-stamp target, which can cause obscure problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:32:33 -0700

wmbattery (1.9) unstable; urgency=low

  * Expanded the man page to detail exactly what all parts of the display
    mean.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 1999 11:37:11 -0700

wmbattery (1.8) unstable; urgency=low

  * Integrated with my build system.

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Sep 1999 12:47:00 -0700

wmbattery (1.7) unstable; urgency=low

  * FHS.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:57:13 -0700

wmbattery (1.6) unstable; urgency=low

  * FreeBSD support, patch from Motoyuki Kasahara <m-kasahr@sra.co.jp>.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 20:04:10 -0700

wmbattery (1.5) unstable; urgency=low

  * Built w/o that ugly bug source known as fakeroot. Now all files are
    owned by root, not me.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 17:35:32 -0700

wmbattery (1.4) unstable; urgency=low

  * Let's try again on that patch.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 17:30:18 -0700

wmbattery (1.3) unstable; urgency=low

  * Patch from Hugo Haas <hugoh@MIT.EDU> to allow geometry support.

 -- Joey Hess <joeyh@debian.org>  Sun,  8 Aug 1999 16:18:44 -0700

wmbattery (1.2) unstable; urgency=low

  * Patch from Edwin van Ouwerkerk Moria, may make the charging indicator
    work better on thinkpads.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Jul 1999 09:58:04 -0700

wmbattery (1.1) unstable; urgency=low

  * Fixed man page location.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Feb 1999 14:33:58 -0800

wmbattery (1.0) unstable; urgency=low

  * First release.
  .
  * Started with wmapm 1.2 sources. Gutted it and cleaned it up extensively
    and turned it into wmbattery.
  * Drew new faceplate and graphics.
  * Converted manpage to refer to new program name.
  * Reorganized source tree.
  * Split single xpm up into lots of small xpms, loaded seperately.
  * Cleaned up Makefile.
  * Removed README, TODO, INSTALL, etc; I'll write my own.
  * Parse command line with getopt.
  * Made -d work to set the display.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 Dec 1998 18:03:21 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wmbattery
Section: x11
Priority: extra
Build-Depends: debhelper, xlib6g-dev, xpm4g-dev
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.1.1.1

Package: wmbattery
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wmaker
Description: Display laptop battery info, dockable in Windowmaker
 Wmbattery displays the status of your laptop's battery in a small icon.
 This includes if it is plugged in, if the battery is charging, how many
 minutes of battery life remain, battery life remaining (with both a 
 percentage and a graph), and battery status (high - green, low - yellow, 
 or critical - red).
 .
 There's nothing in the program that makes it require WindowMaker, except
 maybe the look. It can be docked in WindowMaker or Afterstep's dock.
 .
 To use this program you need to enable APM support for your kernel during
 configuration; the corresponding questions are in the 'Character devices'
 section. It will only work on laptops with an APM BIOS.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs TODO README
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
installhook:
	rm /home/ftp/pub/code/wmbattery/* || true
	cp debian/changelog /home/pub/programs/wmbattery/CHANGES
	echo $(VERSION) > /home/pub/programs/wmbattery/LATEST-VERSION-IS
	cd /home/ftp/pub/code/wmbattery; \
		ln -sf ../debian/wmbattery_$(VERSION).tar.gz wmbattery_$(VERSION).tar.gz; \
		ln -sf ../debian/wmbattery_$(VERSION).tar.gz wmbattery.tar.gz

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install dist

## wmbattery 1.21

=== debian/changelog ===
wmbattery (1.21) unstable; urgency=low

  * Typo, Closes: #125485

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Dec 2001 21:41:52 -0500

wmbattery (1.20) unstable; urgency=low

  * Still show percent sign when blinking low. Closes: #123183

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Dec 2001 22:44:17 -0500

wmbattery (1.19) unstable; urgency=low

  * Used two more grey's in the transition between shadow and highlight
    in the dial. Looks a bit better.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Nov 2001 22:35:37 -0500

wmbattery (1.18) unstable; urgency=low

  * Autoconf 2.50 demands an absolute --mandir=

 -- Joey Hess <joeyh@debian.org>  Thu, 24 May 2001 15:04:23 -0400

wmbattery (1.17) unstable; urgency=low

  * Patch from Edward Betts <edward@debian.org> to make the icon redraw
    immediatly when it gets an expose event. The patch also lowers the CPU
    time used as the icon is not needlessly redrawn every second. Thanks
    Edward! Closes: #97779
  * Battery blink fixup. (I seem to have inexplicably lost the changelog
    and version involving making the battery blink red on and off when the
    status is critical -- I did this recently because the eye tends to
    notice the motion).

 -- Joey Hess <joeyh@debian.org>  Thu, 17 May 2001 13:16:55 -0400

wmbattery (1.16) unstable; urgency=low

  * Another patch from Kevin, which allows removal of the
    config.{sub,guess} files and does smarter detection.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Mar 2001 19:49:36 -0800

wmbattery (1.15) unstable; urgency=medium

  * Fixed icon search path.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Feb 2001 18:00:44 -0800

wmbattery (1.14) unstable; urgency=low

  * OpenBSD port by Kevin Christen <christen@ix.netcom.com>
  * Uses autoconf.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2001 22:06:55 -0800

wmbattery (1.13) unstable; urgency=low

  * Added support for using files other than /proc/apm, via a -f switch.
    (See bug #69585)

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Aug 2000 11:52:21 -0700

wmbattery (1.12) unstable; urgency=low

  * Use /usr/share/icons/wmbattery, not /usr/X11R6/share. Sheesh. 

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Apr 2000 13:16:52 -0700

=== debian/control ===
Source: wmbattery
Section: x11
Priority: extra
Build-Depends: debhelper (>= 3), xlibs-dev, autoconf
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.6.0

Package: wmbattery
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wmaker
Description: Display laptop battery info, dockable in WindowMaker
 Wmbattery displays the status of your laptop's battery in a small icon.
 This includes if it is plugged in, if the battery is charging, how many
 minutes of battery life remain, battery life remaining (with both a 
 percentage and a graph), and battery status (high - green, low - yellow, 
 or critical - red).
 .
 There's nothing in the program that makes it require WindowMaker, except
 maybe the look. It can be docked in WindowMaker or AfterStep's dock.
 .
 To use this program you need to enable APM support for your kernel during
 configuration; the corresponding questions are in the 'Character devices'
 section. It will only work on laptops with an APM BIOS.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	autoconf
	./configure --mandir=$(shell pwd)/debian/wmbattery/usr/share/man \
		--prefix=/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) prefix=debian/wmbattery/usr install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs TODO README
	dh_installexamples
	dh_installmenu
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
installhook:
	rm /home/ftp/pub/code/wmbattery/* || true
	cp debian/changelog /home/pub/programs/wmbattery/CHANGES
	echo -n $(VERSION) > /home/pub/programs/wmbattery/LATEST-VERSION-IS
	cd /home/ftp/pub/code/wmbattery; \
		ln -sf ../debian/wmbattery_$(VERSION).tar.gz wmbattery_$(VERSION).tar.gz; \
		ln -sf ../debian/wmbattery_$(VERSION).tar.gz wmbattery.tar.gz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wmbattery 2.19

=== debian/changelog ===
wmbattery (2.19) unstable; urgency=low

  * Use the proper new-style acpi string when looking for ac adaptor status.
    Closes: #220039
  * Remove the hack I added for my old picturebook, as it causes bad results
    on systems that label a fully charged battery's charging rate as
    unknown and state as charging.
  * Base battery charge calculations for ACPI on design capacity, instead of
    last full capacity. Some batteries may exceed previous last full on 
    their next charging, and this also lets you see when you have a damaged
    battery that is not fully charging.
  * If acpi battery charging state is unknown, but the rate is 0,
    then the battery is charged and on AC power, and the unknown state can
    be ignored. Analysis and patch by "TeXitoi".

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Nov 2003 20:28:56 -0500

wmbattery (2.18) unstable; urgency=low

  * Sort devices returned by readdir in acpi, since the order can be random.
    Closes: #204721

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Aug 2003 01:45:55 -0400

wmbattery (2.17) unstable; urgency=low

  * Make acpi code put -1 in the time remaining field if the "present rate"
    is 0. Closes: #204722
  * Enable internal time estimate code in this case.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Aug 2003 17:21:17 -0400

wmbattery (2.16) unstable; urgency=low

  * Another patch from Hugo Haas, this time it adds time-till-charged
    estimates for systems that lack them. The estimates are on by default,
    though they're only linear guesses and may not be accurate.
  * Display dimmed time estimate field if there is no estimate available.
  * -e switch renamed to -r and forces both estimates on.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Aug 2003 16:41:37 -0400

wmbattery (2.15) unstable; urgency=low

  * Patch from Hugo Haas <hugo@larve.net> to change when the icon is
    refreshed for less latency.
  * Patch from Hugo Haas to have wmbattery do its own time left estimates
    if that info is not available from the machine.
  * Add -r switch to force wmbattery to estimate the time left.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Aug 2003 00:00:09 -0400

wmbattery (2.14) unstable; urgency=low

  * Set the cutoff point for old acpi to 20020214 (was 20020208).
    Closes: #202083

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Jul 2003 13:44:59 +0200

wmbattery (2.13) unstable; urgency=low

  * Added support for ACPI version 20030109 (2.5 kernel), and generally
    support for changing ACPI strings across versions. Closes: #177249

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Feb 2003 14:50:21 -0500

wmbattery (2.12) unstable; urgency=low

  * Rebuild w/o /usr/doc link.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 15:23:13 -0500

wmbattery (2.11) unstable; urgency=low

  * Corrected inverted test to see if ac power is online, that was only called
    on 2 battery systems. Closes: #152356

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jul 2002 16:10:40 -0400

wmbattery (2.10) unstable; urgency=low

  * Deal with acpi putting nothing but "Present: no" in the info file for the
    second battery of a thinkpad. This was with kernel 2.4.19-pre10.
    Closes: #149715
  * Moved DEB_BUILD_OPTIONS out of makeinfo.
  * Updated to new autoconf.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Jun 2002 22:51:45 -0400

wmbattery (2.09) unstable; urgency=low

  * Moved makefile stuff out of makeinfo, so it is just definitions.
  * Support DEB_BUILD_OPTIONS.
  * debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 16:31:53 -0400

wmbattery (2.08) unstable; urgency=low

  * Don't crash if there is a /proc/acpi/ with no status file.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 May 2002 21:35:06 -0400

wmbattery (2.07) unstable; urgency=low

  * Added symbolic apm info constants to "apm.h", in case they are
    not in the system <apm.h>.
  * Put $(LIBS) last at link time.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Apr 2002 11:49:16 -0400

wmbattery (2.06) unstable; urgency=low

  * Deal with -1 time left from apm (no estimate).
  * Never dim colon, fixes display bug.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Apr 2002 12:30:35 -0400

wmbattery (2.05) unstable; urgency=low

  * (acpi) don't display the rather wacky "- :0" on an almost full battery

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Apr 2002 23:19:35 -0400

wmbattery (2.04) unstable; urgency=low

  * Work around stupid ACPI output format  bug. Critical battery detection
    now works.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Apr 2002 22:49:43 -0400

wmbattery (2.03) unstable; urgency=low

  * Better error reporting.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Apr 2002 22:57:17 -0400

wmbattery (2.02) unstable; urgency=medium

  * Improved acpi interface (also used for procmeter3 module now).
  * Fixed segfault on non-ACPI systems.

 -- Joey Hess <joeyh@debian.org>  Sun,  7 Apr 2002 17:48:41 -0400

wmbattery (2.01) unstable; urgency=low

  * Corrected minus sign in bigfont to proper faux-lcd appearance. Also fixed
    offset slightly.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Apr 2002 23:34:38 -0500

wmbattery (2.00) unstable; urgency=low

  * Added ACPI support, including battery change detection, and battery
    charging time countdown timer.
  * Added -w parameter to configure delay time.
  * Added -c and -l parameters to allow user control of battery low/critical
    percentages.
  * Use constant defs from apm.h instead of nasty hardcoded numbers.
  * Made -Wall clean.
  * Reorg.
  * Removed -s option, just fall back to SPIC if ACPI and APM are not
    available.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Apr 2002 12:53:18 -0500

wmbattery (1.23) unstable; urgency=low

  * Added support for querying for battery status via the sonypi driver, for
    sony laptops that do not have apm support. This is a stopgap until linux
    gets full ACPI support.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Apr 2002 10:25:31 -0500

wmbattery (1.22) unstable; urgency=low



## wmbattery 2.20

=== Makefile ===
# Note: this is just a stub Makefile, to make it easy for you to
# run configure and build pdmenu. The full-fledged Makefile is created
# by ./configure, and is called `makeinfo'. You might want to edit it.

include makeinfo

all: wmbattery

clean:
	rm -f wmbattery *.o

distclean: clean
	rm -f config.status config.cache config.log makeinfo config.h

install: all
	$(INSTALL) -d $(bindir) $(man1dir) $(icondir)
	$(INSTALL_PROGRAM) wmbattery $(bindir)
	$(INSTALL_DATA) $(srcdir)/wmbattery.1x $(man1dir)/wmbattery.1x
	$(INSTALL_DATA) $(srcdir)/*.xpm $(icondir)

uninstall:
	rm -rf $(bindir)/wmbattery $(man1dir)/wmbattery.1x $(icondir)

wmbattery: wmbattery.o acpi.o sonypi.o
	$(CC) $(LDFLAGS) wmbattery.o acpi.o sonypi.o -o wmbattery $(LIBS)

wmbattery.o: wmbattery.c wmbattery.h

configure: configure.ac
	autoconf

config.status: configure
	./configure

makeinfo: autoconf/makeinfo.in config.status
	./config.status

=== debian/changelog ===
wmbattery (2.20) unstable; urgency=low

  * Patch from Kris Verbeeck to add a -a option to play an au file
    on low battery.
  * Document it in the man page.
  * Unicode dash fixes on man page.
  * Some indentation fixes.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Nov 2004 16:20:39 -0500

=== debian/control ===
Source: wmbattery
Section: x11
Priority: extra
Build-Depends: debhelper (>= 4), xlibs-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.0

Package: wmbattery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wmaker
Description: display laptop battery info, dockable in WindowMaker
 wmbattery displays the status of your laptop's battery in a small icon.
 This includes if it is plugged in, if the battery is charging, how many
 minutes of battery life remain, and battery status (high - green, low -
 yellow, or critical - red).
 .
 There's nothing in the program that makes it require WindowMaker, except
 maybe the look. It can be docked in WindowMaker or AfterStep's dock.
 .
 wmbattery can use APM, ACPI, or even the SPIC that is in some Sony laptops.
 With ACPI, it supports multi-battery machines, and can estimate how long
 it will take the battery to finish charging or discharging.

## wmbattery 2.22

=== debian/changelog ===
wmbattery (2.22) unstable; urgency=low

  * Fix acpi detection, the code to read /proc/acpi/info was not updated
    to the new cd-less code. Closes: #307278

 -- Joey Hess <joeyh@debian.org>  Mon,  2 May 2005 18:14:01 -0400

wmbattery (2.21) unstable; urgency=low

  * Merge in changes from procmeter3's version of acpi.c, made by Andrew M.
    Bishop, that avoid the ugly chdir to /proc/acpi and add a bit of error
    checking. Now fully synced with procmeter3 3.4d.

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Apr 2005 22:58:44 -0400

## wmbattery 2.24

=== debian/changelog ===
wmbattery (2.24) unstable; urgency=low

  * Current policy.
  * Man page section fix.
  * Menu file move.
  * GPL update.
  * Remove configure script in distclean.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:39:07 -0500

wmbattery (2.23) unstable; urgency=low

  * xlibs-dev transition

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Dec 2005 14:54:25 -0500

=== debian/rules ===
#!/usr/bin/make -f

INSTALL_PROGRAM=install
CFLAGS=-O2 -Wall -g

build: build-stamp
build-stamp:
	dh_testdir
	autoconf
	./configure --mandir=$(shell pwd)/debian/wmbattery/usr/share/man \
		--prefix=/usr CFLAGS="$(CFLAGS)"
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) prefix=debian/wmbattery/usr \
		INSTALL_PROGRAM="$(INSTALL_PROGRAM)" install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs TODO README
	dh_installexamples
	dh_installmenu
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
DIR=/home/web/kitenet.net/programs/wmbattery
installhook:
	cp debian/changelog $(DIR)/CHANGES
	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
	rm -f $(DIR)/*.tar.gz
	ln -s /home/joey/lib/debian/unstable/wmbattery_$(VERSION).tar.gz $(DIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wmbattery 2.25

=== debian/changelog ===
wmbattery (2.25) unstable; urgency=low

  * Merge acpi.c changes for more robust AC power status from sleepd 1.3.0.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Mar 2006 14:59:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: wmbattery
 Section: x11
 Priority: extra
-Build-Depends: debhelper (>= 4), xlibs-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 4), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.0
+Standards-Version: 3.6.2
 
 Package: wmbattery
 Architecture: any

## wmbattery 2.26

=== debian/changelog ===
wmbattery (2.26) unstable; urgency=medium

  * Add missing build dep on libxt-dev. Closes: #379247

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Jul 2006 22:00:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: wmbattery
 Section: x11
 Priority: extra
-Build-Depends: debhelper (>= 4), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 4), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 
 Package: wmbattery
 Architecture: any

## wmbattery 2.28

=== debian/changelog ===
wmbattery (2.28) unstable; urgency=low

  * Correct off-by-one in acpi.c
  * Put url to new web page in README.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Jun 2007 16:44:03 -0400

wmbattery (2.27) unstable; urgency=low

  * Minor bug fix to acpi code, don't skip over dotfiles.
  * Patch from Vincent Bernat adding support for 2.6.21, which changes
    yet again where the ACPI version number is stored. Closes: #423612

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2007 14:23:09 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends: debhelper (>= 4), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
+XS-Vcs-Svn: svn://svn.kitenet.net/joey/trunk/src/packages/wmbattery
 
 Package: wmbattery
 Architecture: any

## wmbattery 2.32

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	rm -f wmbattery *.o
 
 distclean: clean
-	rm -f config.status config.cache config.log makeinfo config.h
+	rm -f config.status config.cache config.log makeinfo config.h configure
 
 install: all
 	$(INSTALL) -d $(bindir) $(man1dir) $(icondir)

=== debian/changelog ===
wmbattery (2.32) unstable; urgency=low

  * Guard some divisions against division by zero. I've never seen that
    happen and can't reproduce it, but see #454766.
  * Merge acpi change from procmeter3: Limit string length when reading from
    /proc/.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Dec 2007 14:56:41 -0500

wmbattery (2.31) unstable; urgency=low

  * Further fix for my strange battery. If the present capacity is larger
    than the maximum capacity, rescan to figure out the new max capacity.

 -- Joey Hess <joeyh@debian.org>  Sun, 02 Dec 2007 15:50:29 -0500

wmbattery (2.30) unstable; urgency=low

  * My new battery has a design capacity of 7800 mAh and yet its
    last full capacity was 9488, and its currently charged to 8540.
    Deal with this wonderful miracle^W^Wcrap hardware by taking the max
    of the design or last full capacities.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Oct 2007 22:21:06 -0400

wmbattery (2.29) unstable; urgency=low

  * Update to new menu policy.
  * The repository has moved from svn to git.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 21:14:22 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper (>= 4), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
-XS-Vcs-Svn: svn://svn.kitenet.net/joey/trunk/src/packages/wmbattery
+Vcs-Git: git://git.kitenet.net/wmbattery
+Homepage: http://kitenet.net/~joey/code/wmbattery/
 
 Package: wmbattery
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -49,13 +49,9 @@
 	dh_md5sums
 	dh_builddeb
 
-VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
-DIR=/home/web/kitenet.net/programs/wmbattery
-installhook:
-	cp debian/changelog $(DIR)/CHANGES
-	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
-	rm -f $(DIR)/*.tar.gz
-	ln -s /home/joey/lib/debian/unstable/wmbattery_$(VERSION).tar.gz $(DIR)
+# Not intended for use by anyone except the author.
+announcedir:
+	@echo ${HOME}/src/joeywiki/code/wmbattery/news
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## wmbattery 2.38

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,18 @@
 uninstall:
 	rm -rf $(bindir)/wmbattery $(man1dir)/wmbattery.1x $(icondir)
 
-wmbattery: wmbattery.o acpi.o sonypi.o
-	$(CC) $(LDFLAGS) wmbattery.o acpi.o sonypi.o -o wmbattery $(LIBS)
+OBJS=wmbattery.o acpi.o sonypi.o
+
+ifdef USE_HAL
+LIBS+=$(shell pkg-config --libs hal)
+OBJS+=simplehal.o
+CFLAGS+=-DHAL
+simplehal.o: simplehal.c
+	$(CC) $(CFLAGS) $(shell pkg-config --cflags hal) -c simplehal.c -o simplehal.o
+endif
+
+wmbattery: $(OBJS)
+	$(CC) -o wmbattery $(LDFLAGS) $(OBJS) $(LIBS)
 
 wmbattery.o: wmbattery.c wmbattery.h

=== debian/changelog ===
wmbattery (2.38) unstable; urgency=low

  * Magic header file reordering to work around the disgusting
    linux-libc-dev/libc headers conflicts (#435700). Closes: #463811

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Feb 2008 15:08:53 -0500

wmbattery (2.37) unstable; urgency=low

  * Support reconnecting to dbus if it's restarted. (AKA giant dbus-PITA)

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Feb 2008 22:44:00 -0500

wmbattery (2.36) unstable; urgency=low

  * Support reconnecting to hal if the connection is closed, as happens
    if the hal is restarted.

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Feb 2008 22:29:00 -0500

wmbattery (2.35) unstable; urgency=low

  * Don't spew error messages if optional hal properties are not available.
  * Only check to see if a battery is charging if hal reports there is AC
    power. This is perhaps not 100% correct in systems with multiple batteries
    that may cross-charge when off AC, but it's faster and it avoids bugs in
    hal (#463740).

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Feb 2008 17:28:37 -0500

wmbattery (2.34) unstable; urgency=low

  * Bit the bullet, stopped trying to track the kernel's ever changing
    interfaces, and added support for querying battery information from hal.
    Support for the old kernel interfaces (APM, ACPI, etc) is still present,
    but to use new interfaces such 2.6.24's /sys/class/power_adapter, you'll
    have to have dbus and hal.
    Closes: #456247, #246641, #290712, #393616, #456248
  * Fix -e option.

 -- Joey Hess <joeyh@debian.org>  Fri, 01 Feb 2008 21:36:39 -0500

wmbattery (2.33) unstable; urgency=low

  * Correct issue with the statically allocated string returned by
    get_acpi_value that caused it to only look at last full capacity and never
    really at design capacity.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 22:26:38 -0500

=== debian/control ===
Source: wmbattery
Section: x11
Priority: extra
Build-Depends: debhelper (>= 5), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libhal-dev
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.3
Vcs-Git: git://git.kitenet.net/wmbattery
Homepage: http://kitenet.net/~joey/code/wmbattery/

Package: wmbattery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: hal
Suggests: wmaker
Description: display laptop battery info, dockable in WindowMaker
 wmbattery displays the status of your laptop's battery in a small icon.
 This includes if it is plugged in, if the battery is charging, how many
 minutes of battery life remain, and battery status (high - green, low -
 yellow, or critical - red).
 .
 There's nothing in the program that makes it require WindowMaker, except
 maybe the look. It can be docked in WindowMaker or AfterStep's dock.
 .
 wmbattery can use HAL, APM, ACPI, or even the SPIC that is in some Sony
 laptops. It supports multi-battery machines, and can estimate how long
 it will take the battery to finish charging or discharging.

## wmbattery 2.39

=== debian/changelog ===
wmbattery (2.39) unstable; urgency=low

  * Use debhelper v7; rules file minimisation.
  * Depend on hal since /proc/acpi is gone from the default kernels now.
    Closes: #491099

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:23:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: wmbattery
 Section: x11
 Priority: extra
-Build-Depends: debhelper (>= 5), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libhal-dev
+Build-Depends: debhelper (>= 7), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libhal-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/wmbattery
 Homepage: http://kitenet.net/~joey/code/wmbattery/
 
 Package: wmbattery
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: hal
+Depends: ${shlibs:Depends}, ${misc:Depends}, hal
 Suggests: wmaker
 Description: display laptop battery info, dockable in WindowMaker
  wmbattery displays the status of your laptop's battery in a small icon.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

build:
	autoconf
	dh build

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/wmbattery/news

## wmbattery 2.40

=== debian/changelog ===
wmbattery (2.40) unstable; urgency=low

  * Add -s option which can be used to ignore fluctuations
    in reported battery charge (as seen on the EeePC) when
    using -e. Closes: #527870 (Joseph Huang)

 -- Joey Hess <joeyh@debian.org>  Sat, 09 May 2009 16:53:10 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Build-Depends: debhelper (>= 7), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libhal-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Vcs-Git: git://git.kitenet.net/wmbattery
 Homepage: http://kitenet.net/~joey/code/wmbattery/

## wmbattery 2.41

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# Note: this is just a stub Makefile, to make it easy for you to
-# run configure and build pdmenu. The full-fledged Makefile is created
-# by ./configure, and is called `makeinfo'. You might want to edit it.
-
 include makeinfo
 
 all: wmbattery
@@ -13,10 +9,10 @@
 	rm -f config.status config.cache config.log makeinfo config.h configure
 
 install: all
-	$(INSTALL) -d $(bindir) $(man1dir) $(icondir)
-	$(INSTALL_PROGRAM) wmbattery $(bindir)
-	$(INSTALL_DATA) $(srcdir)/wmbattery.1x $(man1dir)/wmbattery.1x
-	$(INSTALL_DATA) $(srcdir)/*.xpm $(icondir)
+	$(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir) $(DESTDIR)$(icondir)
+	$(INSTALL_PROGRAM) wmbattery $(DESTDIR)$(bindir)
+	$(INSTALL_DATA) $(srcdir)/wmbattery.1x $(DESTDIR)$(man1dir)/wmbattery.1x
+	$(INSTALL_DATA) $(srcdir)/*.xpm $(DESTDIR)$(icondir)
 
 uninstall:
 	rm -rf $(bindir)/wmbattery $(man1dir)/wmbattery.1x $(icondir)

=== debian/changelog ===
wmbattery (2.41) unstable; urgency=low

  * Accumulated packaging modernizations. Closes: #666370

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Mar 2012 10:20:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: wmbattery
 Section: x11
 Priority: extra
-Build-Depends: debhelper (>= 7), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libhal-dev
+Build-Depends: debhelper (>= 9), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libhal-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.kitenet.net/wmbattery
 Homepage: http://kitenet.net/~joey/code/wmbattery/

## wmbattery 2.42

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,14 @@
 	$(CC) $(CFLAGS) $(shell pkg-config --cflags hal) -c simplehal.c -o simplehal.o
 endif
 
+ifdef USE_UPOWER
+LIBS+=$(shell pkg-config --libs upower-glib)
+OBJS+=upower.o
+CFLAGS+=-DUPOWER
+upower.o: upower.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(shell pkg-config --cflags upower-glib) -c upower.c -o upower.o
+endif
+
 wmbattery: $(OBJS)
 	$(CC) -o wmbattery $(LDFLAGS) $(OBJS) $(LIBS)

=== debian/changelog ===
wmbattery (2.42) unstable; urgency=medium

  * Stop building with flash-in-the-pan HAL. Instead update acpi
    interface to use /sys/class/power_supply.
    Note that this needs acpica_version 20011018.
    Closes: #613166
    (Patch developed by Andrew Shadura.)
  * Also added support for upower, which is used by default,
    to avoid chasing kernel sysfs changes.
    (Patch developed by Andrew Shadura.)
    Closes: #727102

 -- Joey Hess <joeyh@debian.org>  Thu, 05 Dec 2013 15:29:41 -0400

=== debian/control ===
Source: wmbattery
Section: x11
Priority: extra
Build-Depends: debhelper (>= 9), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libupower-glib-dev
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.3
Vcs-Git: git://git.kitenet.net/wmbattery
Homepage: http://kitenet.net/~joey/code/wmbattery/

Package: wmbattery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, upower
Suggests: wmaker
Description: display laptop battery info, dockable in WindowMaker
 wmbattery displays the status of your laptop's battery in a small icon.
 This includes if it is plugged in, if the battery is charging, how many
 minutes of battery life remain, and battery status (high - green, low -
 yellow, or critical - red).
 .
 There's nothing in the program that makes it require WindowMaker, except
 maybe the look. It can be docked in WindowMaker or AfterStep's dock.
 .
 wmbattery supports multi-battery machines, and can estimate how long
 it will take the battery to finish charging or discharging.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 %:
 	dh $@
 
-build:
+override_dh_auto_configure:
 	autoconf
-	dh build
+	dh_auto_configure
 
 # Not intended for use by anyone except the author.
 announcedir:

## wmbattery 2.44

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,8 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(shell pkg-config --cflags upower-glib) -c upower.c -o upower.o
 endif
 
+LIBS+=-lapm -lXext -lXpm
+
 wmbattery: $(OBJS)
 	$(CC) -o wmbattery $(LDFLAGS) $(OBJS) $(LIBS)

=== debian/changelog ===
wmbattery (2.44) unstable; urgency=medium

  * Better AC detection.
  * Support times with upower and acpi (Closes: #740885).
  * Use the latest upower API (Closes: #748935).
  * Fix upower detection.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 18 Jul 2014 01:14:49 +0200

wmbattery (2.43) unstable; urgency=low

  * Orphaned the package. It will probably be removed as it does not work with
    current kernels.
  * Added -i to display as icon. Thanks, Tovar Closes: #732398

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2014 16:01:34 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: extra
 Build-Depends: debhelper (>= 9), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libupower-glib-dev
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.3
 Vcs-Git: git://git.kitenet.net/wmbattery
 Homepage: http://kitenet.net/~joey/code/wmbattery/

## wmbattery 2.45

=== debian/changelog ===
wmbattery (2.45-2) unstable; urgency=medium

  * debian/control
    - Set Build-Depends on libapm-dev to [linux-any].
  * debian/rules
    - Add --no-symlink option to uscan in get-orig-source target.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 08 Oct 2014 07:13:05 -0500

wmbattery (2.45-1) unstable; urgency=medium

  * New upstream release.
    - Add -x option to run a command when battery is critical (Closes: #543674).
    - Restore BSD support.  In particular, the package will now work on Debian
      GNU/kFreeBSD.
  * debian/copyright
    - Update years and contact info for copyright holders.
    - Add section for debian/*.
    - Expand license text.
  * debian/patches
    - (escape_manpage_hyphens.patch) Escape hyphens in manpage to avoid
      hyphen-used-as-minus-sign lintian warning.
  * debian/watch
    - Remove uversionmangle, which was added only to give a high enough version
      number to supersede binNMUs made before the switch from a native to
      non-native package.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 06 Oct 2014 13:59:56 -0500

wmbattery (2.44+git20140921-1) unstable; urgency=medium

  * New maintainer (Closes: #756544).
  * Switch from native to non-native package.
  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 3.9.6, no changes required.
    - Add Vcs-Browser.
    - Update Homepage and Vcs-Git.
    - Switch Build-Depends from autoconf to dh-autoreconf.
    - Remove unnecessary Build-Depends dpkg-dev and libxt-dev.
  * debian/copyright
    - Add Upstream-*.
    - Update Source.
  * debian/rules
    - Switch to use dh-autoreconf.
    - Remove announcedir target.
    - Add get-orig-source target.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - New file.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 21 Sep 2014 23:52:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: wmbattery
 Section: x11
 Priority: extra
-Build-Depends: debhelper (>= 9), libxext-dev, libxpm-dev, autoconf, libapm-dev, dpkg-dev (>= 1.9.0), libxt-dev, libupower-glib-dev
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.3
-Vcs-Git: git://git.kitenet.net/wmbattery
-Homepage: http://kitenet.net/~joey/code/wmbattery/
+Build-Depends: debhelper (>= 9), libxext-dev, libxpm-dev, dh-autoreconf, libapm-dev [linux-any], libupower-glib-dev
+Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
+Standards-Version: 3.9.6
+Homepage: http://windowmaker.org/dockapps/?name=wmbattery
+Vcs-Browser: https://github.com/d-torrance/wmbattery
+Vcs-Git: https://github.com/d-torrance/wmbattery.git
 
 Package: wmbattery
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmbattery-*.download ; then \
		rename -fv "s/wmbattery-(.+)\.download/wmbattery_\1\.orig\.tar\.gz/" \
			../wmbattery-*.download; \
	fi

## wmbattery 2.47

=== debian/changelog ===
wmbattery (2.47-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 21 Feb 2015 09:18:00 -0600

wmbattery (2.46-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Split Build-Depends into two lines for readability.
  * debian/rules
    - Fix rename syntax error in get-orig-source target.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 17 Jan 2015 18:04:29 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wmbattery
 Section: x11
 Priority: extra
-Build-Depends: debhelper (>= 9), libxext-dev, libxpm-dev, dh-autoreconf, libapm-dev [linux-any], libupower-glib-dev
+Build-Depends: debhelper (>= 9), libxext-dev, libxpm-dev, dh-autoreconf,
+ libapm-dev [linux-any], libupower-glib-dev
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
 Standards-Version: 3.9.6
 Homepage: http://windowmaker.org/dockapps/?name=wmbattery

## wmbattery 2.48

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 install: all
 	$(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir) $(DESTDIR)$(icondir)
 	$(INSTALL_PROGRAM) wmbattery $(DESTDIR)$(bindir)
-	$(INSTALL_DATA) $(srcdir)/wmbattery.1x $(DESTDIR)$(man1dir)/wmbattery.1x
+	$(INSTALL_DATA) $(srcdir)/wmbattery.1 $(DESTDIR)$(man1dir)/wmbattery.1
 	$(INSTALL_DATA) $(srcdir)/*.xpm $(DESTDIR)$(icondir)
 
 uninstall:
-	rm -rf $(bindir)/wmbattery $(man1dir)/wmbattery.1x $(icondir)
+	rm -rf $(bindir)/wmbattery $(man1dir)/wmbattery.1 $(icondir)
 
 OBJS=wmbattery.o acpi.o sonypi.o
 
@@ -35,8 +35,6 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(shell pkg-config --cflags upower-glib) -c upower.c -o upower.o
 endif
 
-LIBS+=-lapm -lXext -lXpm
-
 wmbattery: $(OBJS)
 	$(CC) -o wmbattery $(LDFLAGS) $(OBJS) $(LIBS)
 
@@ -44,6 +42,7 @@
 
 configure: configure.ac
 	autoconf
+	autoheader
 
 config.status: configure
 	./configure

=== debian/changelog ===
wmbattery (2.48-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/clean_config.h.in.patch
    - New patch; remove file created by autoheader to avoid dpkg_source error.
  * debian/patches/escape_manpage_hyphens.patch
    - Remove patch; applied upstream.
  * debian/control
    - Tidy using wrap-and-sort.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 14 May 2015 10:06:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: wmbattery
 Section: x11
 Priority: extra
-Build-Depends: debhelper (>= 9), libxext-dev, libxpm-dev, dh-autoreconf,
- libapm-dev [linux-any], libupower-glib-dev
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               libapm-dev [linux-any],
+               libupower-glib-dev,
+               libxext-dev,
+               libxpm-dev
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
 Standards-Version: 3.9.6
 Homepage: http://windowmaker.org/dockapps/?name=wmbattery
@@ -11,7 +15,7 @@
 
 Package: wmbattery
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, upower
+Depends: upower, ${misc:Depends}, ${shlibs:Depends}
 Suggests: wmaker
 Description: display laptop battery info, dockable in WindowMaker
  wmbattery displays the status of your laptop's battery in a small icon.

## wmbattery 2.50

=== debian/changelog ===
wmbattery (2.50-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/copyright
    - Update email address.
  * debian/patches
    - Remove directory; patch applied upstream.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 30 Aug 2015 17:31:19 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
                libupower-glib-dev,
                libxext-dev,
                libxpm-dev
-Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
+Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Standards-Version: 3.9.6
 Homepage: http://windowmaker.org/dockapps/?name=wmbattery
-Vcs-Browser: https://github.com/d-torrance/wmbattery
-Vcs-Git: https://github.com/d-torrance/wmbattery.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmbattery.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbattery.git
 
 Package: wmbattery
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmbattery-*.download ; then \
		rename -f -v "s/wmbattery-(.+)\.download/wmbattery_\1\.orig\.tar\.gz/" \
			../wmbattery-*.download; \
	fi

=== debian/watch ===
version=3
http://windowmaker.org/dockapps/?name=wmbattery \?download=wmbattery-(.+).tar.gz

## wmbattery 2.51

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	rm -f wmbattery *.o
 
 distclean: clean
-	rm -f config.status config.cache config.log makeinfo config.h configure
+	rm -f config.status config.cache config.log makeinfo config.h \
+		config.h.in configure
 
 install: all
 	$(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir) $(DESTDIR)$(icondir)

=== debian/changelog ===
wmbattery (2.51-2) unstable; urgency=medium

  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Remove libapm-dev from Build-Depends. It was only included for
      legacy support, and is not necessary for wmbattery to build.
      The library itself was removed from testing due to RC bug #891698.
    - Bump versioned dependency on debhelper to >= 11.
    - Bump Standards-Version to 4.1.4.
    - Update Vcs-* after migration to Salsa.
  * debian/patches/manpage-typo.patch
    - New patch; fixes typo in manpage.
  * debian/rules
    - Use all hardening flags.
  * debian/upstream/metadata
    - Add DEP12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 17 Apr 2018 11:02:05 -0400

wmbattery (2.51-1) unstable; urgency=medium

  * New upstream release.
    - Fix memory leak (Closes: #816872).
  * debian/compat
    - Bump to debhelper compatibility level 10.
  * debian/watch
    - Bump to uscan v4.
    - Use new special strings.
    - Update with new download location.
  * debian/control
    - Bump versioned dependency on debhelper to >= 10.
    - Remove dh-autoreconf from Build-Depends; installed by default
      with debhelper 10.
    - Switch Priority to optional.
    - Bump Standards-Version to 4.1.1.
    - Update Homepage.
    - Use https for Vcs-Browser.
  * debian/copyright
    - Update Source.
    - Use https for Format.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/rules
    - Remove out-of-date get-orig-source target.
    - Remove explicit call to dh-autoreconf; default with debhelper 10.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 06 Nov 2017 17:59:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: wmbattery
 Section: x11
-Priority: extra
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               libapm-dev [linux-any],
+Priority: optional
+Build-Depends: debhelper (>= 11),
                libupower-glib-dev,
                libxext-dev,
                libxpm-dev
 Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Standards-Version: 3.9.6
-Homepage: http://windowmaker.org/dockapps/?name=wmbattery
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmbattery.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbattery.git
+Standards-Version: 4.1.4
+Homepage: http://www.dockapps.net/wmbattery
+Vcs-Browser: https://salsa.debian.org/wmaker-team/wmbattery
+Vcs-Git: https://salsa.debian.org/wmaker-team/wmbattery.git
 
 Package: wmbattery
 Architecture: any
